CREATE OR REPLACE PROCEDURE ADD_DATOS_FAMI_PROCE 
(APELLIDO_P IN VARCHAR2,DIRECCION IN VARCHAR2,FE_NACI DATE,HIS_ENFERMEDADES IN VARCHAR2,NOMBRE_PADRE IN VARCHAR2) IS
BEGIN
    INSERT INTO DATOSFAMILIARES (APELLIDO_PADRE,DIRECCION,FECHA_NACIMIENTO,HISTORIAL_DE_ENFERMEDADES,NOMBRE_PADRE) 
    VALUES (APELLIDO_P,DIRECCION,(TO_DATE(FE_NACI, 'yyyy/mm/dd ')),HIS_ENFERMEDADES,NOMBRE_PADRE);
END;

CREATE SEQUENCE DATOS_FAMI_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger DATOS_FAMI_TRIGGER  
   before insert on "CLINICA"."DATOSFAMILIARES" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_DATOS_FAMILIARES" is null then 
         select DATOS_FAMI_SEQUENCE.nextval into :NEW."ID_DATOS_FAMILIARES" from dual; 
      end if; 
   end if; 
end;



